--Extracting data from the OLTP into temporary tables
USE OLAP
GO
DROP TABLE IF EXISTS ##Countries
DROP TABLE IF EXISTS ##Products
DROP TABLE IF EXISTS ##Sales

SELECT * INTO ##Countries FROM OLTP.DBO.Countries
SELECT * INTO ##Products FROM OLTP.DBO.Products
SELECT * INTO ##Sales FROM OLTP.DBO.Sales

--NOTE: Leave this session open for the next two chapters
--so that the temporary tables won't be deleted before we commit them!